import { jsx } from "react/jsx-runtime";
import { WalletAtomic as WalletAtomic$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const WalletAtomic = forwardRef(
  ({ variant = "mono", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, alt: "Atomic", "data-name": "WalletAtomic", ...props, children: /* @__PURE__ */ jsx(WalletAtomic$1, { variant }) });
  }
);
WalletAtomic.displayName = "WalletAtomic";
Object.assign(WalletAtomic, { isGdsIcon: true });
export {
  WalletAtomic
};
